/*Michael J. Moran, Howard N. Shapiro, Daisie D. Boettner,Margaret B. Bailey,Fundamentals of Engineering Thermodynamics,9th Edition,John Wiley & Sons, Inc.,2018*/
//Chapter-2 Energy and the First Law of Thermodynamics
//Example 2_2 Page:45
//Title:Cooling a gas in Piston-Cylinder
//===============================
model Ex2_2
  
  //parameter selection
  parameter Real m(unit="kg")=0.4"Mass of gas";
  parameter Real W(unit="kJ")=17.6"Work for the process";//Determined from example 2_1(a), Pg:33
  parameter Real du(unit="kJ/kg")=-55"change in specific internal energy";
  //===============================
  
  //variable selection
  Real Q(unit="kJ")"Net heat transfer";
  //===============================
  
  //equation selection
  equation
   Q=m*du+W; //Energy balance equation
              //du=u1-u2
end Ex2_2;
//===============================
