/*Michael J. Moran, Howard N. Shapiro, Daisie D. Boettner,Margaret B. Bailey,Fundamentals of Engineering Thermodynamics,9th Edition,John Wiley & Sons, Inc.,2018*/
//Chapter-2 Energy and the First Law of Thermodynamics
//Example 2_4 Page:47
//Title:Gearbox at Steady State
//===============================
model Ex2_4

  //parameter selection
  parameter Real W1(unit="kW")=-60"Power input";
  parameter Real h(unit="kW/m2.K")=0.171"Heat transfer coefficient";
  parameter Real A(unit="m2")=1"Outer surface area";
  parameter Real Tb(unit="K")=300"Temperature at outer surface";
  parameter Real Tf(unit="K")=293"Temperature of the surrounding air";
  //===============================
  
  //variable selection
  Real Q(unit="kW")"Rate of energy transfer";
  Real W2(unit="kW")"Power output";
  //===============================
  
  //equation selection
  equation
    Q=-h*A*(Tb-Tf);  //Rate of energy transfer by heat
    Q=W1+W2;         //Energy rate balance 

end Ex2_4;
//===============================
