/*Michael J. Moran, Howard N. Shapiro, Daisie D. Boettner,Margaret B. Bailey,Fundamentals of Engineering Thermodynamics,9th Edition,John Wiley & Sons, Inc.,2018*/
//Chapter-6,Using Entropy
//Example 6_3 Page:194
//Title:Evaluating Minimum Theoretical Compression Work
//===============================
model Ex6_3

    //parameter selection
    parameter Real u1(unit="Btu/lb")=94.68"initial specific internal energy";
                                            /*From Table A-10E at T=10 F for 
                                            saturated vapour. Appendix Pg:A-69*/ 
    parameter Real u2s(unit="Btu/lb")=107.46"final specific internal energy";    
                                            /*From Table A-12E at P=120 lb/in^2 
                                            and T=100 F. Appendix Pg:A-72*/       
    //===============================
    
    //variable selection
    Real W(unit="Btu/lb")"minimum work input per unit mass";
    //===============================
    
    //equation selection
    equation
      -W=u2-u1;        //Work from energy balance

end Ex6_3;
//===============================
