/*Michael J. Moran, Howard N. Shapiro, Daisie D. Boettner,Margaret B. Bailey,Fundamentals of Engineering Thermodynamics,9th Edition,John Wiley & Sons, Inc.,2018*/
//Chapter-6,Using Entropy
//Example 6_4 Page:195
//Title:Pinpointing Irreversibilities
//===============================
package Ex6_4
  model Ex6_4a
  //To find rate of entropy production for gearbox system
    
    //parameter selection
    parameter Real Q(unit = "kW") = -1.2 "heat transfer rate";
    parameter Real Tb(unit = "K") = 300 "surface temperature";
    //===============================
    
    //variable selection
    Real sigma(unit = "kW/K") "entropy production rate";
    //===============================
    
    //equation selection
    equation
     sigma = -Q / Tb;     //Reduced steady state entropy balance
  end Ex6_4a;
  //===============================


  model Ex6_4b
  //To find entropy production rate for gearbox with heat transfer to its surrounding
    
    //parameter selection
    parameter Real Q(unit = "kW") = -1.2 "heat transfer rate";
    parameter Real Tf(unit = "K") = 293 "surface temperature";
    //===============================
    
    //variable selection
    Real sigma(unit = "kW/K") "entropy production rate";
    //===============================
    
    //equation selection
    equation
      sigma = -Q/Tf;     //Reduced steady state entropy balance
  end Ex6_4b;
  //===============================
end Ex6_4;
